corelinux::AllocatorNotFoundException Class Reference

AllocatorNotFoundException is an exception that is usually thrown when a AbstractFactory attempts to use a specific Allocator. More...

`#include <AllocatorNotFoundException.hpp>`

## Public Member Functions

| AllocatorNotFoundException (CharCptr file, LineNum line, Severity severity=Exception::CONTINUABLE, bool outOfMemory=false)
| Default Constructor. More...
| AllocatorNotFoundException (AllocatorNotFoundExceptionCref)
| Copy constructor. More...
virtual | ~AllocatorNotFoundException (void)
| Virtual Destructor.
AllocatorNotFoundExceptionRef | operator= (AllocatorNotFoundExceptionCref)
| Assignment operator overload. More...
bool | operator== (AllocatorNotFoundExceptionCref) const
| Equality operator overload. More...
Public Member Functions inherited from corelinux::AbstractFactoryException
| AbstractFactoryException (CharCptr file, LineNum line, Severity severity=Exception::CONTINUABLE, bool outOfMemory=false)
| Default Constructor. More...
| AbstractFactoryException (AbstractFactoryExceptionCref)
| Copy constructor. More...
virtual | ~AbstractFactoryException (void)
| Virtual Destructor.
AbstractFactoryExceptionRef | operator= (AbstractFactoryExceptionCref)
| Assignment operator overload. More...
bool | operator== (AbstractFactoryExceptionCref) const
| Equality operator overload. More...
Public Member Functions inherited from corelinux::Exception
| Exception (CharCptr why, CharCptr file, LineNum line, Severity severity=Exception::CONTINUABLE, bool outOfMemory=false)
| Default Constructor. More...
| Exception (ExceptionCref crOther)
| Copy constructor. More...
virtual | ~Exception (void)
| Virtual Destructor.
ExceptionRef | operator= (ExceptionCref otherRef)
| Assignment operator overload. More...
bool | operator== (ExceptionCref otherRef)
| Comparisson operator overload. More...
const std::string & | getFile (void) const
| Accessor. More...
LineNumCref | getLine (void) const
| Accessor. More...
const std::string & | getWhy (void) const
| Accessor. More...
const Severity & | getSeverity (void) const
| Accessor. More...
const std::string & | getUnwind (void) const
| Accessor. More...
bool | isOutOfMemory (void) const
| Accessor. More...
void | addUnwindInfo (CharCptr unwindInfo)
| Append unwind information to the Exception. More...
void | setThreadFatalSeverity (void)
| Change the severity to Severity::THREADFATAL.
void | setProcessFatalSeverity (void)
| Change the severity to Severity::PROCESSFATAL.
void | setThreadTerminateSeverity (void)
| Change the severity to Severity::THREADTERMINATE. More...
void | setProcessTerminateSeverity (void)
| Change the severity to Severity::PROCESSTERMINATE. More...

## Protected Member Functions

| AllocatorNotFoundException (void)
| AllocatorNotFoundException must have at least a location. More...
Protected Member Functions inherited from corelinux::AbstractFactoryException
| AbstractFactoryException (CharCptr why, CharCptr file, LineNum line, Severity severity=Exception::CONTINUABLE, bool outOfMemory=false)
| Default Constructor. More...
| AbstractFactoryException (void)
| AbstractFactoryException must have at least a location. More...
Protected Member Functions inherited from corelinux::Exception
| Exception (void)
| Exceptions must have a reason. More...
| Exception (CharCptr file, LineNum line, Severity severity=Exception::CONTINUABLE, bool outOfMemory=false)
| Exception constructor for use by derivations.
void | setWhy (const std::string &)
| Changes the exception reason.
void | setWhy (CharCptr)
| Changes the exception reason.

## Additional Inherited Members

Public Types inherited from corelinux::Exception
enum | Severity { CONTINUABLE = 1, THREADFATAL, PROCESSFATAL, THREADTERMINATE, PROCESSTERMINATE }
| Exception Severity States. More...

## Detailed Description

AllocatorNotFoundException is an exception that is usually thrown when a AbstractFactory attempts to use a specific Allocator.

## Constructor & Destructor Documentation

corelinux::AllocatorNotFoundException::AllocatorNotFoundException | ( | CharCptr | file,
|  | LineNum | line,
|  | Severity | severity = `Exception::CONTINUABLE`,
|  | bool | outOfMemory = `false`
| ) |  |

Default Constructor.

Parameters

  file | The source module throwing the exception
  line | The line of source throwing the exception
  severity | The Exception::Severity of the Exception
  outOfMemory | An out of memory indicator

corelinux::AllocatorNotFoundException::AllocatorNotFoundException | ( | AllocatorNotFoundExceptionCref | aRef | ) |

Copy constructor.

Parameters

  AllocatorNotFoundException | const reference

corelinux::AllocatorNotFoundException::AllocatorNotFoundException | ( | void |  | ) |

protected

AllocatorNotFoundException must have at least a location.

Default constructor is not allowed.

## Member Function Documentation

AllocatorNotFoundExceptionRef corelinux::AllocatorNotFoundException::operator= | ( | AllocatorNotFoundExceptionCref | aRef | ) |

Assignment operator overload.

Parameters

  AllocatorNotFoundException | const reference

Returns
  AllocatorNotFoundException reference to self

References corelinux::AbstractFactoryException::operator=().

bool corelinux::AllocatorNotFoundException::operator== | ( | AllocatorNotFoundExceptionCref | aRef | ) | const

Equality operator overload.

Parameters

  AllocatorNotFoundException | const reference

Returns
  true if equal, false otherwise

The documentation for this class was generated from the following files:

- AllocatorNotFoundException.hpp
- AllocatorNotFoundException.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium